WKS4SpreadsheetInternal::State Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
WKS4SpreadsheetInternal::State Struct Reference

the state of WKS4Spreadsheet More...

## Public Member Functions
| State ()
| constructor
int | getMaximalSheet (Spreadsheet::Type type=Spreadsheet::T_Spreadsheet) const
| returns the maximal spreadsheet
std::shared_ptr< Spreadsheet > | getSheet (Spreadsheet::Type type, int id)
| returns the ith real spreadsheet
Spreadsheet & | getActualSheet ()
| returns the actual sheet
void | pushNewSheet (std::shared_ptr< Spreadsheet > sheet)
| create a new sheet and stack id
bool | popSheet ()
| try to pop the actual sheet

## Static Public Member Functions
static librevenge::RVNGString | getSheetName (int id)
| returns the ith spreadsheet

## Public Attributes
long | m_eof
| the last file position
int | m_version
| the file version
StyleManager | m_styleManager
| the style manager
std::vector< std::shared_ptr< Spreadsheet > > | m_spreadsheetList
| the list of spreadsheet ( first: main spreadsheet, other report spreadsheet )
std::stack< std::shared_ptr< Spreadsheet > > | m_spreadsheetStack
| the stack of spreadsheet id

## Detailed Description

the state of WKS4Spreadsheet

## Constructor & Destructor Documentation

## ◆ State()

WKS4SpreadsheetInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getActualSheet()

Spreadsheet & WKS4SpreadsheetInternal::State::getActualSheet | ( |  | ) |
| inline

returns the actual sheet

## ◆ getMaximalSheet()

int WKS4SpreadsheetInternal::State::getMaximalSheet | ( | Spreadsheet::Type | type = Spreadsheet::T_Spreadsheet | ) | const
| inline

returns the maximal spreadsheet

## ◆ getSheet()

std::shared_ptr< Spreadsheet > WKS4SpreadsheetInternal::State::getSheet | ( | Spreadsheet::Type | type,
|  | int | id )
| inline

returns the ith real spreadsheet

## ◆ getSheetName()

static librevenge::RVNGString WKS4SpreadsheetInternal::State::getSheetName | ( | int | id | ) |
| inlinestatic

returns the ith spreadsheet

## ◆ popSheet()

bool WKS4SpreadsheetInternal::State::popSheet | ( |  | ) |
| inline

try to pop the actual sheet

## ◆ pushNewSheet()

void WKS4SpreadsheetInternal::State::pushNewSheet | ( | std::shared_ptr< Spreadsheet > | sheet | ) |
| inline

create a new sheet and stack id

Referenced by State().

## Member Data Documentation

## ◆ m_eof

long WKS4SpreadsheetInternal::State::m_eof

the last file position

## ◆ m_spreadsheetList

std::vector<std::shared_ptr<Spreadsheet> > WKS4SpreadsheetInternal::State::m_spreadsheetList

the list of spreadsheet ( first: main spreadsheet, other report spreadsheet )

Referenced by getMaximalSheet(), getSheet(), and pushNewSheet().

## ◆ m_spreadsheetStack

std::stack<std::shared_ptr<Spreadsheet> > WKS4SpreadsheetInternal::State::m_spreadsheetStack

the stack of spreadsheet id

Referenced by getActualSheet(), popSheet(), and pushNewSheet().

## ◆ m_styleManager

StyleManager WKS4SpreadsheetInternal::State::m_styleManager

the style manager

## ◆ m_version

int WKS4SpreadsheetInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- WKS4Spreadsheet.cpp